Skip to main content

Join Session By Platform Session By Uuid

POST 

/session/v1/platform/:platform/platform-session/:platform_session_id_base64/player/:player_uuid

Join a platform session by platform ID and parent platform session id

Required Permissions:

  • For any player (including themselves) any of: session:*, session:update-player:any

  • For the player themselves : session:update-player:self

Required Session Permissions: None

Request

Path Parameters

    platform_session_id_base64 Platform Session Id Base64required

    Possible values: non-empty and <= 4096 characters

    player_uuid uuidrequired
    platform Platformrequired

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

Body

required

    status SessionPlayerStatus (string)

    Possible values: [leader, member, invited, reserved]

    What membership state players have in a session

    client_version Client Version (string)required

    Semver for updated client

    client_settings

    object

    required

    A player's platform and input settings

    platform_id PlatformID (integer)

    Possible values: [2, 4, 5, 9, 10, 11, 13, 16, 22, 24, 26, 28]

    DEPRECATED. Use 'platform' instead. Id for which platform this client is on. ID will be ignored if 'platform' is given. At least one of the two is required

    platform Platform (string)

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    Which platform this client is on. If one is not provided, will get the platform from the 'platform_id'. Platform is now read from client's authorization claims if available

    input Input (string)required

    Possible values: [keyboardandmouse, gamepad, touch]

    Which input type this client is using

    device_type DeviceType (string)

    Possible values: [pc, xbox_series, xbox_one, web]

    Platform verified device type for this client

    team_id Team Id (integer)required

    Which team the player is one

    crossplay_preferences

    object

    A session's or player's preferences around crossplay platforms and inputs. Permitted platforms and inputs will be checked when new players attempt to join a session

    permitted_platform CrossplayPlatform (string)required

    Possible values: [desired_platforms_any, desired_platforms_xboxlike, desired_platforms_playstationlike]

    The platform type that the client is allowed to play with (any, xbox-like only, playstation-like only etc.)

    permitted_input CrossplayInput (string)required

    Possible values: [desired_inputs_any, desired_inputs_keyboardandmouse, desired_inputs_gamepad, desired_inputs_touch]

    The input type that the client is allowed to play with (keyboard and mouse, gamepad, touch input etc.)

    custom_data

    object

    player-defined custom data

    property name* string
    password Password (string)

    Possible values: non-empty and <= 128 characters

    Password to join a password protected session that you are not invited to

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    type Type (string)required

    template type

    session_id Session Id (string)required

    Possible values: non-empty and <= 128 characters

    unique ID for this session within its type

    instance

    object

    Information about the instance resource in a session

    allocation_id Allocation Id (string)

    Possible values: non-empty and <= 128 characters

    Allocation ID for instance that's been spun up

    instance_id Instance Id (string)required

    Possible values: non-empty and <= 128 characters

    Unique ID for the host/session relationship

    host_type HostType (string)required

    Possible values: [dedicated, player, preallocated]

    Type of the host

    host_player_id Host Player Id (integer)

    Player ID of the host, if the host type is player

    host_player_uuid uuid

    Player UUID of the host, if the host type is player

    host_dedicated_process_id Host Dedicated Process Id (string)

    Unique ID for the process that is running this instance

    host_dedicated_server_id Host Dedicated Server Id (string)

    Unique ID for the machine running the instance

    join_status InstanceJoinableStatus (string)required

    Possible values: [requested, allocated, pending, joinable, unjoinable, closed]

    Is the instance joinable at this time?

    join_params

    object

    Parameters to join the instance

    public_conn_str Public Conn Str (string)required

    Public connection string for instance

    private_conn_str Private Conn Str (string)required

    Private connection string for instance

    custom_data

    object

    Custom data to join a instance

    property name* string

    instance_startup_params

    object

    Parameters used by the host to startup. For UE5 this will contain the map and gamemode

    map Map (string)required

    Name of the map for the instance to spawn with

    mode Mode (string)

    Game mode for the instance to spawn in

    misc_params Misc Params (string)required

    Additional commandline parameters for the instance

    custom_data

    object

    Custom data to pass through to the instance

    property name* string
    version semver

    Product Client Version number. Used for compatibility checking with players

    created date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    custom_data

    object

    instance-defined custom data

    property name* string
    instance_health InstanceHealthStatus (string)

    Possible values: [healthy, unhealthy, degraded, unknown]

    The current status of the instance

    match_making_profile_id Match Making Profile Id (string)

    Possible values: non-empty and <= 128 characters

    The profile id that this instance was spawned from

    match_id Match Id (string)

    The match ID associated with this instance

    match

    object

    DEPRECATED Information about a match

    match_id Match Id (string)required

    Unique ID

    created date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    custom_data

    object

    instance-defined custom data

    property name* string
    ticket_ids string[]

    Default value: ``

    List of tickets that were assigned to this match if created by matchmaking

    matchmaking_results

    object

    match_making_id Match Making Id (string)required

    Unique ID

    created date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    custom_data

    object

    MMF defined custom data

    property name* string
    ticket_ids string[]

    Default value: ``

    List of tickets that were assigned to this match if created by matchmaking

    ticket_data

    object[]

    List of all the ticket data that was used when generating this match

  • Array [

  • ticket_id Ticket Id (string)required

    Unique ID for this ticket

    player_uuids uuid[]

    Default value: ``

    List of Player UUIDS that are associated with this ticket

    queue_join_datetime date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    region_id Region Id (string)required

    Possible values: non-empty and <= 128 characters

    Which region this ticket was created for

    queue_id Queue Id (string)required

    Possible values: non-empty and <= 128 characters

    Which queue was used to create this ticket

    profile_ids string[]required

    Possible values: non-empty and <= 128 characters

    List of profiles that were being considered for this ticket

    additional_join_params

    object

    Additional join params specified on queue join

    double_args

    object

    Additional double arguments to add to the matchmaking ticket

    property name* number

    string_args

    object

    Additional string arguments to add to the matchmaking ticket

    property name* string
    tags string[]

    Possible values: non-empty and <= 4096 characters

    Default value: ``

    Additional tags to add to the matchmaking ticket

    extensions

    object

    Additional extensions to add to the matchmaking ticket. Value is a base64 string representation of the protobuf binary data. The data will be converted back to binary before being put on the ticket

    property name* string

    rank_data

    object[]

    List of rank data on the ticket

  • Array [

  • rank_uuid Rank Uuid (string)required

    UUID for this rank

    mu Mu (number)

    Ticket's group mu for this rank

  • ]

  • ]

  • tickets_assigned Tickets Assigned (boolean)

    Whether or not the tickets from these results have been assigned

    profile

    object

    The profile used to create this match

    match_making_profile_id Match Making Profile Id (string)required

    Possible values: non-empty and <= 128 characters

    ID of the matchmaking profile to join

    join_mode ProfileJoinMode (string)

    Possible values: [normal, backfill, created_before]

    Default value: normal

    What mode to set on the matchmaking profile (normal, backfill etc)

    instance_request_template_id uuid

    Which instance template to use when launching a match in this profile

    rank_id Rank Id (string)

    Which rank this profile should use MMR from to make matches from, and update at the end of match (1v1 MMR or 2v2 MMR for example)

    num_sides Num Sides (integer)

    The number of sides a game in this profile will have (2 in a 1v1 and 3 in a 1v1v1 for example

    max_players_per_side Max Players Per Side (integer)

    The maximum number of players that can be on each team

    min_players_per_side Min Players Per Side (integer)

    The minimum number of players that can be on each team

    legacy_config object

    Legacy config to help migrate clients

    deserter_id Deserter Id (string)

    Which deserter this profile should check before allowing players to join matchmaking

    session_template_id uuid

    What type of session should result from matchmaking on this profile

    custom_data

    object

    Custom data about this profile

    property name* string

    matchmaking

    object

    Info about the matchmaking status in a session

    ticket_id Ticket Id (string)required

    Unique ID for this attempt at matchmaking

    custom_data

    object

    session-defined custom data

    property name* string
    queue_id Queue Id (string)

    Possible values: non-empty and <= 128 characters

    Unique ID for the joined queue

    backfill

    object

    Info about the open-match backfill object in a session

    backfill_id Backfill Id (string)required

    Possible values: non-empty

    Unique ID for the backfill object

    extensions

    object

    Optional additional extensions used when acknowledging backfill requests

    property name* string

    browser

    object

    Information about the browser resource in a session

    custom_data

    object

    Custom data with the listing of the instance in the Session browser

    property name* string
    created_timestamp date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    joinable Joinable (boolean)required

    Is this session freely joinable by players without an invite?

    teams

    object[]

    required

    List of teams of players currently in the session

  • Array [

  • players

    object[]

    required

    Players currently on this team

  • Array [

  • player_id Player Id (integer)

    Legacy id for this player

    player_uuid uuidrequired

    UUID for this player

    status SessionPlayerStatus (string)required

    Possible values: [leader, member, invited, reserved]

    What membership state players have in a session

    inviting_player_uuid uuid

    UUID of the player who sent this players invite, if any

    source_session_id Source Session Id (string)

    Possible values: non-empty and <= 128 characters

    The UUID of the session that this player was invited from

    custom_data

    object

    player-defined custom data

    property name* string
    version semver

    Product Client Version number. Used for compatibility checking with other players and instances

    client_settings

    object

    A player's platform and input settings

    platform_id PlatformID (integer)

    Possible values: [2, 4, 5, 9, 10, 11, 13, 16, 22, 24, 26, 28]

    DEPRECATED. Use 'platform' instead. Id for which platform this client is on. ID will be ignored if 'platform' is given. At least one of the two is required

    platform Platform (string)

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    Which platform this client is on. If one is not provided, will get the platform from the 'platform_id'. Platform is now read from client's authorization claims if available

    input Input (string)required

    Possible values: [keyboardandmouse, gamepad, touch]

    Which input type this client is using

    device_type DeviceType (string)

    Possible values: [pc, xbox_series, xbox_one, web]

    Platform verified device type for this client

    crossplay_preferences

    object

    A session's or player's preferences around crossplay platforms and inputs. Permitted platforms and inputs will be checked when new players attempt to join a session

    permitted_platform CrossplayPlatform (string)required

    Possible values: [desired_platforms_any, desired_platforms_xboxlike, desired_platforms_playstationlike]

    The platform type that the client is allowed to play with (any, xbox-like only, playstation-like only etc.)

    permitted_input CrossplayInput (string)required

    Possible values: [desired_inputs_any, desired_inputs_keyboardandmouse, desired_inputs_gamepad, desired_inputs_touch]

    The input type that the client is allowed to play with (keyboard and mouse, gamepad, touch input etc.)

    invited date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    joined date-time

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    session_permissions IntraSessionPermissions (string)[]

    Possible values: [invite, kick, move]

    Default value: ``

    A list of intra session permissions granted to this specific player

  • ]

  • max_size Max Size (integer)required

    Possible values: >= 1 and <= 100

    Maximum number of players allowed on this team

    team_id Team Id (integer)

    Which team this is

    ticket_ids string[]

    Matchmaking tickets that were assigned to this team

    custom_data

    object

    Custom data about this team

    property name* string
  • ]

  • teams_suppressed Teams Suppressed (boolean)

    Flag showing if the list of players has been automatically suppressed due to its size.

    platform_session

    object[]

    Child Platform Sessions for this session. A player joining one of the child platform sessions implicitly joins the parent session

  • Array [

  • platform Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    platform_session_type Platform Session Type (string)required

    Possible values: non-empty and <= 128 characters

    Platform-Specific Identifier for the Platform's template

    platform_session_id_base64 Platform Session Id Base64 (string)required

    Possible values: non-empty and <= 4096 characters

    Platform session's unique identifier

    players

    object[]

    required

    DEPRECATED. PlatformSessions no longer keep tracking of players. Players in the platform session

  • Array [

  • player_id Player Id (integer)

    Player ID representing the current player

    player_uuid uuidrequired

    Player UUID representing the current player

    leader Leader (boolean)

    Is this player the leader of the platform session? When setting up the parent session, if all players are from the same platform session, leadership is coordinated

  • ]

  • custom_data

    object

    Product defined custom data fields about the platform session

    property name* string
  • ]

  • platform_scouts

    object

    List of platform scouts for this session

    property name*

    PlatformScout

    player_uuid uuidrequired

    UUID of player who is the designated scout for the platform session

    platform Platform (string)required

    Possible values: [Anon, Basic, XboxLive, PSN, NintendoNAID, NintendoSwitch, NintendoPPID, Google, GooglePlay, Apple, Epic, Steam, Amazon, Twitch, RallyHere, LegacyName]

    An enumeration.

    custom_data

    object

    Leader Player or instance defined custom data about this session

    property name* string
    created date-timerequired

    Datetime that enforces that a timezone is given. Unix timestamps are allowed and forced into the UTC time zone

    region_id Region Id (string)

    Possible values: non-empty and <= 128 characters

    Preferred region for the instance and match to take place in

    created_by_matchmaking Created By Matchmaking (boolean)

    Flag of whether or not this session was created by matchmaking or not

Loading...